#include <stdlib.h>
#include <conio.h>
#include <stdio.h>
#include <io.h>
#include <bios.h>
#include <dos.h>
#include "step.h"

void main()
{
   int i;

   while(!kbhit()) {
      for(i=0;i<20;i++)
         step(MOTOR1, CW, FULL);
      for(i=0;i<20;i++)
         step(MOTOR1, CCW, FULL);
   }
}

/********************************************************
*  Function: step(int motor, int direction, int full)	*
*  Declared in: step.h					*
*  Purpose: Used to step a particular motor in a either	*
*           direction.					*
*  Parameters: motor: An integer describing which	*
*                     motor, or motors, to step.  See	*
*                     defines in step.h			*
*          direction: An integer for which direction, 	*
*                     CW or CCW the the motor steps.  	*
*                     Depends on motor connection.	*
*               full: An integer to determine whether	*
*                     the motor takes a half or full	*
*		      step.  See step.h for defines	*
*		      HALF and FULL.			*
********************************************************/

void step(int motor, int direction, int half)
{
   outportb(BASE, (motor + direction + half));   /* STEP off */
   delay(3);
   outportb(BASE, (STEP + motor + direction + half));
   delay(3);
}
