#define BASE 0x3bc   /* // port address: 0x3bc, 0x278, or 0x378  */
#define CCW 0x0	     /* data bit 0 (pin 2) is CW/CCW: 0V = CCW   */
#define CW 0x01      /*  and 5V is CW.				 */
#define STEP 0x02    /* step, or clock, is data bit 1 (pin 3)	 */
#define HALF 0x0     /* data bit 2 (pin 4) is HALF/FULL: 0V = 	 */
#define FULL 0x04    /*  HALF and 5V = FULL			 */
#define MOTOR1 0x08  /* data bits 3-6 (pins 5-8) control motors  */
#define MOTOR2 0x10  /*  1-4, respectively			 */
#define MOTOR3 0x20
#define MOTOR4 0x40
#define TRUE 1
#define FALSE 0

void step(int motor, int direction, int half_or_full);
